require 'rails_helper'

RSpec.describe "settings/zones/edit", type: :view do
  before(:each) do
    @settings_zone = assign(:settings_zone, Settings::Zone.create!(
      :name => "MyString",
      :is_active => false,
      :created_by => "MyString"
    ))
  end

  it "renders the edit settings_zone form" do
    render

    assert_select "form[action=?][method=?]", settings_zone_path(@settings_zone), "post" do

      assert_select "input#settings_zone_name[name=?]", "settings_zone[name]"

      assert_select "input#settings_zone_is_active[name=?]", "settings_zone[is_active]"

      assert_select "input#settings_zone_created_by[name=?]", "settings_zone[created_by]"
    end
  end
end
